<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sqlMap
        PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"
        "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="com.hst.task.dao.ZhdMqDaoImp">

    <resultMap class="com.hst.task.domain.zhdtxxts.ZhdtTsJshhDomain" id="pBskjTaskXxtsSsHhxxRes">
        <result property="bsdtdjxh" column="bsdtdjxh"/>
        <result property="ywflbm" column="ywflbm"/>
        <result property="qhsj" column="qhsj"/>
        <result property="jhsj" column="jhsj"/>
        <result property="bjsj" column="bjsj"/>
        <result property="blck" column="blck"/>
        <result property="qhhm" column="qhhm"/>
        <result property="nsrpj" column="nsrpj"/>
        <result property="phzt" column="phzt"/>
        <result property="ywlbmc" column="ywlbmc"/>
        <result property="blrxm" column="blrxm"/>
        <result property="dhrs" column="dhrs"/>
        <result property="sjhm" column="sjhm"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjTaskXxtsSsHhxxParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjTaskXxtsSsHhxx" resultMap="pBskjTaskXxtsSsHhxxRes" parameterMap="pBskjTaskXxtsSsHhxxParm">
        { call P_BSKJ_TASK_XXTS_SSHHXX(?,?)}
    </procedure>

    <resultMap class="com.hst.task.domain.zhdtxxts.ZhdtTsJjhhDomain" id="pBskjTaskXxtsJjHhxxRes">
        <result property="bsdtdjxh" column="bsdtdjxh"/>
        <result property="ywflbm" column="ywflbm"/>
        <result property="qhsj" column="qhsj"/>
        <result property="jhsj" column="jhsj"/>
        <result property="bjsj" column="bjsj"/>
        <result property="blck" column="blck"/>
        <result property="qhhm" column="qhhm"/>
        <result property="nsrpj" column="nsrpj"/>
        <result property="phzt" column="phzt"/>
        <result property="ywlbmc" column="ywlbmc"/>
        <result property="blrxm" column="blrxm"/>
        <result property="dhrs" column="dhrs"/>
        <result property="sjhm" column="sjhm"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjTaskXxtsJjHhxxResParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjTaskXxtsJjHhxx" resultMap="pBskjTaskXxtsJjHhxxRes" parameterMap="pBskjTaskXxtsJjHhxxResParm">
        { call P_BSKJ_TASK_XXTS_JJHHXX(?,?)}
    </procedure>
    <resultMap class="com.hst.task.domain.zhdtxxts.ZhdtTsMydpjDomain" id="pBskjTaskXxtsMydpjRes">
        <result property="bsdtdjxh" column="bsdtdjxh"/>
        <result property="ywflbm" column="ywflbm"/>
        <result property="qhsj" column="qhsj"/>
        <result property="jhsj" column="jhsj"/>
        <result property="bjsj" column="bjsj"/>
        <result property="blck" column="blck"/>
        <result property="qhhm" column="qhhm"/>
        <result property="nsrpj" column="nsrpj"/>
        <result property="phzt" column="phzt"/>
        <result property="ywlbmc" column="ywlbmc"/>
        <result property="blrxm" column="blrxm"/>
        <result property="dhrs" column="dhrs"/>
        <result property="sjhm" column="sjhm"/>
    </resultMap>
    <parameterMap class="java.util.Map" id="pBskjTaskXxtsMydpjParm">
        <parameter property="code" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
        <parameter property="mess" javaType="java.lang.String" jdbcType="VARCHAR" mode="OUT"/>
    </parameterMap>
    <procedure id="pBskjTaskXxtsMydpj" resultMap="pBskjTaskXxtsMydpjRes" parameterMap="pBskjTaskXxtsMydpjParm">
        { call P_BSKJ_TASK_XXTS_MYDPJ(?,?)}
    </procedure>

</sqlMap>